

.main-header.nav-dark .account-link span {
    color:#141eac !important;
}

.main-header.nav-dark .account-icon {
    border: 1px solid rgba(0,0,0,0.1);
}



.account-link {
    display: flex;
    align-items: center;
    gap: 0.8vw;
    text-decoration: none;
    transition: all 0.3s ease;
}

.account-icon {
    height: 3.5vh;
    border-radius: 10%;
    transition: transform 0.3s 
}

.account-link span {
    font-family: 'Antonio', sans-serif;
    color: white;
    font-size: 1.4vh;
    text-transform: uppercase;
    letter-spacing: 0.1vw;
    opacity: 0.8;
    transition: opacity 0.3s ease;
}

/* Hover Effects */
.account-link:hover .account-icon {
    transform: scale(1.2);
    filter:  drop-shadow(0 0 8px var(--accent-blue));
}

.account-link:hover span {
    opacity: 1;
    color: var(--accent-blue);
}
/* Mobile Adjustment */
@media (max-width: 768px) {
    .top-utility-bar {
        top: 1vh;
        right: 4vw;
    }
    .account-link span {
        display: flex; /* Hide text on mobile for cleanliness */
    }
}